Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in

It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

How do I use fetch-confluence v1.0.166 with TypeScript v^3.6.2?

Edited

I'm a developer. I'm building marketplace third party extensions for Confluence Cloud.

I want to use the types for Space, Content, etc. in my code that are made available in the fetch-confluence package. The fetch-confluence package depends on a class called GlobalFetch. GlobalFetch has been updated to WindowOrWorkerGlobalScope in TypeScript v3.6.2. I'm using TypeScript v^4.1.3. This breaks the package and the build fails on transpilation with "Cannot find name 'GlobalFetch'". 

1. Does anyone know of a workaround for this?

2. Can someone at Atlassian please update this name in the fetch-confluence package?

Any help will be appreciated

0 answers

Suggest an answer

Log in or Sign up to answer
DEPLOYMENT TYPE
CLOUD
PRODUCT PLAN
STANDARD
TAGS
Community showcase
Published in Confluence

Confluence Mythbusters: Does Atlassian even use Confluence?

Hi, Confluence collaborators! As part of #Confluence-Collaboratory month, we’ve created a very special Mythsbusters segment, where we're dive into an interesting myth and uncover the truth behind i...

1,626 views 7 30
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you